:root {
    --bg: #1d1d1d; /* Gris oscuro */
    --bgSoft: #212121; /* Gris más oscuro */
    --text: #e0e0e0; /* Blanco */
    --textSoft: #9e9e9e; /* Gris claro */
    --tableBorder: #333;
    --tableBg: var(--bgSoft);
}

* {
    margin: 0;
    box-sizing: border-box;
}

body {
    background: var(--bg);
    color: var(--text);
    font-family: 'Nunito', sans-serif;
    font-optical-sizing: auto;
    font-weight: 400;
    font-style: normal;
}

body.light{
    --bg: #e0e0e0; /* Blanco */
    --text: #1d1d1d; /* Gris oscuro */
    --tableBorder: #ccc;
    --tableBg: #f5f5f5;
}

a {
    color: inherit;
    text-decoration: none;
}

.container {
    max-width: 1366px;
    padding-left: 50px;
    padding-right: 50px;
    margin: auto;
    min-height: 100vh;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

/* LIST START */

.listItem {
    display: flex;
    align-items: center;
    gap: 50px;
    margin-bottom: 50px;
}

.listItemImage {
    width: 200px;
    height: 200px;
    object-fit: cover;
}

.listItemTexts {
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.listItemDetail {
    display: flex;
    align-items: center;
    gap: 10px;
    font-size: 14px;
}

.listItemAvatar {
    width: 24px;
    height: 24px;
    border-radius: 50%;
    object-fit: cover;
}

.listItemCategories {
    display: flex;
    gap: 10px;
}

.listItemCategory {
    padding: 5px;
    border-radius: 5px;
    background-color: var(--bgSoft);
    color: var(--textSoft);
    font-size: 14px;
}

/* LIST END */

.pagination{
    display: flex;
    gap: 10px;
    list-style: none;
    padding: 0;
    margin: 0;
    font-size: 14px;
    margin-top: 80px;
    margin-bottom: 30px;
}

.page-item {
    border: 1px solid gray;
    width: 30px;
    height: 30px;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 5px;
}

.page-item.active {
    background-color: var(--text);
    color: var(--bg);
}

.page-item.disabled {
    background-color: var(--bg);
    color: var(--text);
    cursor: not-allowed;
}

/* SINGLE START */
.singleHead {
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 20px;
}

.singleHeadTexts {
    flex: 1;
    display: flex;
    flex-direction: column;
    gap: 20px;
}

.singleHeadTitle {
    font-size: 48px;
}

.singleHeadDesc {
    font-size: 20px;
    font-weight: 300;
}

.singleHeadDetail {
    display: flex;
    align-items: center;
    gap: 20px;
}

.singleAvatar {
    width: 50px;
    height: 50px;
    border-radius: 50%;
    object-fit: cover;
}

.singleCategory {
    padding: 5px;
    border-radius: 5px;
    background-color: var(--bgSoft);
    color: var(--textSoft);
    font-size: 14px;
}

.singleHeadImg {
    flex: 1;
    max-height: 350px;
    object-fit: cover;
}

.singleBottom {
    display: flex;
    justify-content: space-between;
    gap: 50px;
    margin-top: 50px;
}

.singleContent {
    flex: 3;
    font-size: 20px;
    line-height: 32px;
    max-width: 85%;
}

@media (max-width: 768px) {
    .singleContent {
        font-size: 16px;
        line-height: 26px;
        max-width: 100%;
    }
}


.singleContent p,
.singleContent h1,
.singleContent h2,
.singleContent h3 {
    margin: 20px 0px;
}

.singleContent img {
    width: 100%;
    object-fit: cover;
}

.singleContent pre {
    width: 100%;
    overflow-x: scroll;
    padding: 20px;
}

.singleRightBar {
    flex: 1;
}

/* SINGLE END */

/* RIGHTBAR START */

.rightBar {
    position: sticky;
    top: 100px;
}

.rightBarImg {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.rightBarImgHr {
    display: none;
}

/* RIGHTBAR END */


/* CATEGORIES START */

.categories-container {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-evenly;
    margin: 20px 0;
    padding: 0;
    list-style: none;
}

.categories-container a {
    background-color: var(--bg);
    color: var(--text);
    text-decoration: none;
    padding: 10px 20px;
    margin: 5px;
    border-radius: 5px;
    border: 2px solid var(--text); /* Borde estilizado */
    transition: background-color 0.3s, color 0.3s, border-color 0.3s;
}

.categories-container a:hover {
    background-color: var(--text);
    color: var(--bg);
    border-color: var(--bg); /* Cambia el color del borde en hover */
}

/* CATEGORIES END */


@media (max-width: 1536px) {
    .container {
        max-width: 1366px;
    }
}

@media (max-width: 1366px) {
    .container {
        max-width: 1280px;
    }
}

@media (max-width: 1280px) {
    .container {
        max-width: 1024px;
    }
}

@media (max-width: 1024px) {
    .container {
        max-width: 768px;
        padding-left: 10px;
        padding-right: 10px;
    }

    .singleHeadImg {
        display: none;
    }

    .singleBottom {
        flex-direction: column-reverse;
    }

    .rightBarImg {
        display: none;
    }

    .rightBarImgHr {
        display: block;
        width: 100%;
    }
}

@media (max-width: 768px) {
    .container {
        max-width: 640px;
    }

    .links {
        font-size: 14px;
    }

    .listItemImage {
        display: none;
    }

    .searchButton span {
        display: none;
    }
}

@media (max-width: 640px) {
    .container {
        max-width: 475px;
    }
}


table {
    border-collapse: collapse;
    background-color: var(--tableBg);
}

td, th {
    border: 1px solid var(--tableBorder);
    padding: 0.5em;
    color: var(--text);
}